Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.camera
Class CameraRange

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.camera.CameraRange

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class CameraRange
extends QTByteObject
implements java.lang.Cloneable

CameraRange contains information for the camera's range. Includes the distance to the nearest projection plane, hither plane, and the distance to the farthest projection plane, yon plane. Refer to TQ3CameraRange in QuickDraw3d

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`CameraRange()` Creates a CameraRange object containing no data.
`CameraRange(float hither, float yon)` Creates a CameraRange object containing given data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`float` | `getHither()` returns the camera range's distance away from the hither plane.
`float` | `getYon()` returns the camera range's distance away from the yon plane.
`void` | `setHither(float hither)` sets the camera range's distance away from the hither plane.
`void` | `setYon(float yon)` sets the camera range's distance away from the yon plane.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### CameraRange

    public CameraRange()

  Creates a CameraRange object containing no data.

### CameraRange

    public CameraRange(float hither,
                       float yon)

  Creates a CameraRange object containing given data.
  Parameters:
    `h` - The distance away from the hither plane(nearest to camera).
    `y` - The distance away from the yon plane(furtherest from camera).

Method Detail

### getEndianDescriptor

    public static final EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### getHither

    public float getHither()

  returns the camera range's distance away from the hither plane.

### getYon

    public float getYon()

  returns the camera range's distance away from the yon plane.

### setHither

    public void setHither(float hither)

  sets the camera range's distance away from the hither plane.

### setYon

    public void setYon(float yon)

  sets the camera range's distance away from the yon plane.

### clone

    public java.lang.Object clone()

  Returns a copy of this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD